from setuptools import setup, find_packages

setup(
    name='captan',
    packages=find_packages(include=['captan','captan*']),
    version='1.0',
    description='Context-Aware Predictor of T-cell antigens (CAPTAn)',
    author='Martin Strazar',
    author_email='mstrazar@broadinstitute.org',
    url='',
    download_url='',
    keywords=['Immunology', 'Peptidomics'],
    classifiers=[],
    scripts=['bin/captan-context',
             'bin/captan-core',
             'bin/captan-merge',
             'bin/captan-score'],
    test_suite="nose.collector",
    tests_require=['nose'],
    install_requires=['numpy==1.19.5',
                      'pandas==1.2.4',
                      'h5py==2.10.0',
                      'scikit-learn==0.24.1',
                      'tensorboard==2.4.1',
                      'tensorflow==2.4.1',
                      'keras==2.4.3',
                      'scipy==1.6.2',
                      'matplotlib==3.4.1',
                      'biopython==1.76',
                      'intervaltree==3.1.0'],
)
